<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_25) on Tue Nov 07 17:12:41 PST 2017 -->
<title>Ref</title>
<meta name="date" content="2017-11-07">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Ref";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../xdc/services/spec/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../xdc/services/spec/Qual.html" title="enum in xdc.services.spec"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../xdc/services/spec/Reserved.html" title="class in xdc.services.spec"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?xdc/services/spec/Ref.html" target="_top">Frames</a></li>
<li><a href="Ref.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">xdc.services.spec</div>
<h2 title="Class Ref" class="title">Class Ref</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>xdc.services.spec.Ref</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>java.io.Serializable</dd>
</dl>
<hr>
<br>
<pre>public class <span class="strong">Ref</span>
extends java.lang.Object
implements java.io.Serializable</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../serialized-form.html#xdc.services.spec.Ref">Serialized Form</a></dd></dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../xdc/services/spec/Ref.html#Ref(java.lang.String)">Ref</a></strong>(java.lang.String&nbsp;name)</code>
<div class="block">External constructor.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Ref.html#getId()">getId</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../xdc/services/spec/Node.html" title="class in xdc.services.spec">Node</a></code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Ref.html#getNode()">getNode</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../xdc/services/spec/Decl.Proxy.html" title="class in xdc.services.spec">Decl.Proxy</a></code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Ref.html#getProxy()">getProxy</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Ref.html#getScope()">getScope</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Ref.html#isGlobal()">isGlobal</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../xdc/services/spec/Unit.html" title="class in xdc.services.spec">Unit</a></code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Ref.html#resolve(xdc.services.spec.Unit, boolean)">resolve</a></strong>(<a href="../../../xdc/services/spec/Unit.html" title="class in xdc.services.spec">Unit</a>&nbsp;uspec,
       boolean&nbsp;local)</code>
<div class="block">Resolve this reference.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Ref(java.lang.String)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Ref</h4>
<pre>public&nbsp;Ref(java.lang.String&nbsp;name)</pre>
<div class="block">External constructor.

 Simple constructor that provides no file or line number information
 for the source of the reference.</div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getId()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getId</h4>
<pre>public final&nbsp;java.lang.String&nbsp;getId()</pre>
</li>
</ul>
<a name="getNode()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNode</h4>
<pre>public final&nbsp;<a href="../../../xdc/services/spec/Node.html" title="class in xdc.services.spec">Node</a>&nbsp;getNode()</pre>
</li>
</ul>
<a name="getProxy()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getProxy</h4>
<pre>public final&nbsp;<a href="../../../xdc/services/spec/Decl.Proxy.html" title="class in xdc.services.spec">Decl.Proxy</a>&nbsp;getProxy()</pre>
</li>
</ul>
<a name="getScope()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getScope</h4>
<pre>public final&nbsp;java.lang.String&nbsp;getScope()</pre>
</li>
</ul>
<a name="isGlobal()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isGlobal</h4>
<pre>public final&nbsp;boolean&nbsp;isGlobal()</pre>
</li>
</ul>
<a name="resolve(xdc.services.spec.Unit, boolean)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>resolve</h4>
<pre>public&nbsp;<a href="../../../xdc/services/spec/Unit.html" title="class in xdc.services.spec">Unit</a>&nbsp;resolve(<a href="../../../xdc/services/spec/Unit.html" title="class in xdc.services.spec">Unit</a>&nbsp;uspec,
           boolean&nbsp;local)</pre>
<div class="block">Resolve this reference.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>uspec</code> - the module or interface making this reference.</dd><dd><code>local</code> - if true, the reference is to a decl within the same unit
               making the reference. The text of the reference excludes
               the name of the unit.</dd>
<dt><span class="strong">Returns:</span></dt><dd>the unit that exports the referenced declaration. It is
               up to the caller to descend into the unit to find the
               actual declaration.</dd>
<dt><span class="strong">Throws:</span></dt>
<dd><code><a href="../../../xdc/services/spec/SessionRuntimeException.html" title="class in xdc.services.spec">SessionRuntimeException</a></code> - if can't be resolved.</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../xdc/services/spec/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../xdc/services/spec/Qual.html" title="enum in xdc.services.spec"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../xdc/services/spec/Reserved.html" title="class in xdc.services.spec"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?xdc/services/spec/Ref.html" target="_top">Frames</a></li>
<li><a href="Ref.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
